Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2886263002: input: Dispatch synthesized events at regular intervals. (Closed)

Created:
6 months ago by sadrul
Modified:
6 months ago
Reviewers:
dtapuska
CC:
chromium-reviews, jam, darin-cc_chromium.org, dtapuska+chromiumwatch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

input: Dispatch synthesized events at regular intervals. Instead of dispatching events at begin-frame + offset, dispatch events at regular intervals (~16ms). The timer starts at an offset from the first begin frame. BUG=722921 Review-Url: https://codereview.chromium.org/2886263002 Cr-Commit-Position: refs/heads/master@{#473922} Committed: https://chromium.googlesource.com/chromium/src/+/a6251cb3214b42349e7208d285a5e2e01276fe6f

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : tot merge #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : . #

Total comments: 6

Patch Set 7 : . #

Patch Set 8 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -14 lines) Patch
M content/browser/renderer_host/input/synthetic_gesture_controller.h View 1 2 3 4 5 6 7 3 chunks +5 lines, -0 lines 0 comments Download
M content/browser/renderer_host/input/synthetic_gesture_controller.cc View 1 2 3 4 5 6 7 3 chunks +32 lines, -9 lines 0 comments Download
M content/browser/renderer_host/input/synthetic_gesture_controller_unittest.cc View 1 2 3 4 5 6 7 6 chunks +11 lines, -5 lines 0 comments Download
Trybot results:  linux_android_rel_ng   chromium_presubmit   win_chromium_rel_ng   mac_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_arm64_dbg_recipe   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   linux_perf_bisect_builder   linux_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   win_perf_bisect_builder   winx64_bisect_builder   winx64_bisect_builder   winx64_bisect_builder   win_perf_bisect_builder   android_perf_bisect_builder   winx64_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   win_perf_bisect_builder   mac_perf_bisect_builder   winx64_bisect_builder   linux_perf_bisect_builder   linux_perf_bisect_builder   winx64_bisect_builder   winx64_bisect_builder   android_perf_bisect_builder   android_perf_bisect_builder   mac_perf_bisect_builder   mac_perf_bisect_builder   mac_perf_bisect_builder   mac_perf_bisect_builder   mac_perf_bisect_builder   staging_linux_perf_bisect   linux_perf_bisect   staging_mac_10_12_perf_bisect   mac_retina_perf_bisect   mac_pro_perf_bisect   mac_10_12_perf_bisect   mac_air_perf_bisect   mac_10_12_mini_8gb_perf_bisect   mac_10_11_perf_bisect   winx64nvidia_perf_bisect   winx64intel_perf_bisect   winx64ati_perf_bisect   winx64_zen_perf_bisect   winx64_high_dpi_perf_bisect   winx64_10_perf_bisect   win_x64_perf_bisect   staging_android_nexus5X_perf_bisect   android_webview_nexus6_aosp_perf_bisect   android_webview_arm64_aosp_perf_bisect   android_one_perf_bisect   android_nexus7_perf_bisect   android_nexus6_perf_bisect   android_nexus5_perf_bisect   android_nexus5X_perf_bisect   android_fyi_perf_bisect   win_perf_bisect   staging_win_perf_bisect   win_8_perf_bisect   win_chromium_rel_ng   win_chromium_x64_rel_ng 

Messages

Total messages: 39 (27 generated)
sadrul
This is the next step I had in mind after https://codereview.chromium.org/2890603002
6 months ago (2017-05-17 20:35:46 UTC) #7
sadrul
I have updated this to be on ToT, so that we can just directly do ...
6 months ago (2017-05-19 18:17:35 UTC) #20
dtapuska
https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc File content/browser/renderer_host/input/synthetic_gesture_controller.cc (right): https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode52 content/browser/renderer_host/input/synthetic_gesture_controller.cc:52: constexpr base::TimeDelta kSynthesizedDispatchDelay = I think we need an ...
6 months ago (2017-05-19 18:32:27 UTC) #21
sadrul
https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc File content/browser/renderer_host/input/synthetic_gesture_controller.cc (right): https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode52 content/browser/renderer_host/input/synthetic_gesture_controller.cc:52: constexpr base::TimeDelta kSynthesizedDispatchDelay = On 2017/05/19 18:32:27, dtapuska wrote: ...
6 months ago (2017-05-19 18:46:03 UTC) #22
dtapuska
On 2017/05/19 18:46:03, sadrul wrote: > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc > File content/browser/renderer_host/input/synthetic_gesture_controller.cc > (right): > > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode52 ...
6 months ago (2017-05-19 19:01:56 UTC) #24
sadrul
https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc File content/browser/renderer_host/input/synthetic_gesture_controller.cc (right): https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode85 content/browser/renderer_host/input/synthetic_gesture_controller.cc:85: RequestBeginFrameIfNecessary(); On 2017/05/19 18:46:03, sadrul wrote: > On 2017/05/19 ...
6 months ago (2017-05-19 19:02:49 UTC) #25
dtapuska
On 2017/05/19 19:02:49, sadrul wrote: > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc > File content/browser/renderer_host/input/synthetic_gesture_controller.cc > (right): > > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode85 ...
6 months ago (2017-05-19 19:05:47 UTC) #27
dtapuska
On 2017/05/19 19:02:49, sadrul wrote: > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc > File content/browser/renderer_host/input/synthetic_gesture_controller.cc > (right): > > https://codereview.chromium.org/2886263002/diff/100001/content/browser/renderer_host/input/synthetic_gesture_controller.cc#newcode85 ...
6 months ago (2017-05-19 19:05:48 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886263002/140001
6 months ago (2017-05-23 02:55:09 UTC) #32
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/300219)
6 months ago (2017-05-23 03:51:16 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886263002/140001
6 months ago (2017-05-23 15:09:07 UTC) #36
commit-bot: I haz the power
6 months ago (2017-05-23 16:06:54 UTC) #39
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/a6251cb3214b42349e7208d285a5...

Powered by Google App Engine
This is Rietveld efc10ee0f